mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.IO.Stream System.Runtime.InteropServices.ComVisible(true)

The common language runtime uses a stream-oriented design for cryptography. The core of this design is . Any cryptographic objects that implement can be chained together with any objects that implement , so the streamed output from one object can be fed into the input of another object. The intermediate result (the output from the first object) does not need to be stored separately.

You should always explicitly close your object after you are done using it by calling the method. Doing so flushes the stream and causes all remain blocks of data to be processed by the object. However, if an exception occurs before you call the method, the object might not be closed. To ensure that the method always gets called, place your call to the method within the finally block of a try/catch statement.

Defines a stream that links data streams to cryptographic transformations.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Any object that derives from can be passed into the parameter. Any object that implements (such as ) can be passed into the parameter.

  Initializes a new instance of the class with a target data stream, the transformation to use, and the mode of the stream.

  The stream on which to perform the cryptographic transformation.
  The cryptographic transformation that is to be performed on the stream.
  One of the values.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean True if the CryptoStream was created with ., false otherwise. To be added

  Gets a value indicating whether the current is readable.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean Always false.

  Seeking is not enabled in a , so this method always returns false.

  Gets a value indicating whether you can seek within the current .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean True if the CryptoStream was created with ., false otherwise. To be added

  Gets a value indicating whether the current is writable.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  This method is a simple call to .

  Calling Dispose allows the resources used by the to be reallocated for other purposes. For more information about Dispose, see Cleaning Up Unmanaged Resources

  Releases all resources used by the .

- Method
  System.Void To be added This will call if the CryptoStream was opened in mode. 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method is called by the public Dispose() method and the Finalize method. Dispose() invokes the protected Dispose(Boolean) method with the disposing parameter set to true. Finalize invokes Dispose with disposing set to false.

  When the parameter is true, this method releases all resources held by any managed objects that this references. This method invokes the Dispose() method of each referenced object.

  Releases the unmanaged resources used by the and optionally releases the managed resources.

  true to release both managed and unmanaged resources; false to release only unmanaged resources.
- Method
  System.Void To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  Flushing the stream will not flush its underlying encoder unless you explicitly call or . Setting to true means that data will be flushed from the buffer to the stream, but the encoder state will not be flushed. This allows the encoder to keep its state (partial characters) so that it can encode the next block of characters correctly. This scenario affects UTF8 and UTF7 where certain characters can only be encoded after the encoder receives the adjacent character or characters.

  You should call either the method or the method to complete flushing the buffer.

  Clears all buffers for the current stream and causes any buffered data to be written to the underlying device.

- Method
  4.0.0.0
  System.Threading.Tasks.Task ``

  You must preface your call to with the await (C#) or Await (Visual Basic) operator to suspend execution of the method until the task is complete. For more information, see Asynchronous Programming with Async and Await (C# and Visual Basic).

  If the operation is canceled before it completes, the returned task contains the value for the property.

  Clears all buffers for the current stream asynchronously, causes any buffered data to be written to the underlying device, and monitors cancellation requests.

  A task that represents the asynchronous flush operation.

  The token to monitor for cancellation requests. The default value is .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  Calling the method will call . If you do not call , call to complete flushing the buffer. Call only when all stream activity is complete.

  Updates the underlying data source or repository with the current state of the buffer, then clears the buffer.

- Property
  4.0.0.0
  System.Boolean To be added.

  This property is set true when the method is called.

  Gets a value indicating whether the final buffer block has been written to the underlying stream.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 This property isn't supported on CryptoStream and will always throw a .

  This property exists only to support inheritance from , and cannot be used.

  Gets the length in bytes of the stream.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 To be added.

  This property exists only to support inheritance from , and cannot be used.

  Gets or sets the position within the current stream.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` `` To be added.

  Reads a sequence of bytes from the current stream and advances the position within the stream by the number of bytes read.

  The total number of bytes read into the buffer. This can be less than the number of bytes requested if that many bytes are not currently available, or zero if the end of the stream has been reached.

  An array of bytes. A maximum of bytes are read from the current stream and stored in . The byte offset in at which to begin storing the data read from the current stream. The maximum number of bytes to be read from the current stream.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<System.Int32> `` `` `` ``

  You must preface your call to with the await (C#) or Await (Visual Basic) operator to suspend execution of the method until the task is complete. For more information, see Asynchronous Programming with Async and Await (C# and Visual Basic).

  If the operation is canceled before it completes, the returned task contains the value for the property.

  Reads a sequence of bytes from the current stream asynchronously, advances the position within the stream by the number of bytes read, and monitors cancellation requests.

  A task that represents the asynchronous read operation. The value of the task object's parameter contains the total number of bytes read into the buffer. The result can be less than the number of bytes requested if the number of bytes currently available is less than the requested number, or it can be 0 (zero) if the end of the stream has been reached.

  The buffer to write the data into. The byte offset in at which to begin writing data from the stream. The maximum number of bytes to read. The token to monitor for cancellation requests. The default value is .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 `` ``

  This method exists only to support inheritance from , and cannot be used.

  Sets the position within the current stream.

  This method is not supported.

  A byte offset relative to the parameter. A object indicating the reference point used to obtain the new position.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This property exists only to support inheritance from , and cannot be used.

  Sets the length of the current stream.

  The desired length of the current stream in bytes.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added.

  Writes a sequence of bytes to the current and advances the current position within the stream by the number of bytes written.

  An array of bytes. This method copies bytes from to the current stream. The byte offset in at which to begin copying bytes to the current stream. The number of bytes to be written to the current stream.
- Method
  4.0.0.0
  System.Threading.Tasks.Task `` `` `` ``

  You must preface your call to with the await (C#) or Await (Visual Basic) operator to suspend execution of the method until the task is complete. For more information, see Asynchronous Programming with Async and Await (C# and Visual Basic).

  If the operation is canceled before it completes, the returned task contains the value for the property.

  Writes a sequence of bytes to the current stream asynchronously, advances the current position within the stream by the number of bytes written, and monitors cancellation requests.

  A task that represents the asynchronous write operation.

  The buffer to write data from. The zero-based byte offset in from which to begin writing bytes to the stream. The maximum number of bytes to write. The token to monitor for cancellation requests. The default value is .